* {
    border: none;
    font-weight: bold;
    font-size: 12px;
    min-height: 0;
}

window#waybar {
    background: rgba(0, 0, 0, 0.8);
    border-bottom: 2px solid #bb9af7;
    font-family: "MonaspaceKrypton";
}

tooltip {
    color: #292e42;
    background-color : #292e42;
    border-radius: 10px;
}

#cpu,
#memory,
#custom-player,
#idle_inhibitor,
#temperature,
#custom-caffeine,
#clock,
#battery,
#pulseaudio,
#network,
#workspaces,
#tray,
#backlight,
#language,
#window { 
    padding-top: 10px;
    margin-bottom: 2px;
}

#custom-media {
    color: #c0caf5;
    padding-top: 10px;
}

#workspaces button {
    color: #c0caf5;
    padding-top: 7px; /* Hacky way to center text */
    margin: 8px 5px;
    transition: all 0.5s ease-in-out;
    border-color: #7aa2f7 #bb9af7 #bb9af7 #7aa2f7;
    border-style: solid;
    border-width: 1px;
    border-radius: .3rem;
}

#workspaces button:hover {
    background: #414868;
    box-shadow: none;
    font-weight: normal;
}

#workspaces button.active {
    transition: all 0.5s ease-in-out;
    color: #1f2335;
    background: #7aa2f7;
    font-weight: bold;
    padding-left: 18px;
    padding-right: 18px;
}

#workspaces button.urgent {
    color: #1f2335;
    background: #f7768e;
}

#custom-player{
    margin: 0 8px;
}

#clock {
    color: #c0caf5;
    padding: 2px 8px 0px 8px;
    margin-top: 8px;
}

#tray {
    margin-top: 8px;
    margin-right: 10px;
    padding: 0 8px;
    border-radius: 8px;
}

#idle_inhibitor {
    margin-top: 8px;
    margin-right: 5px;
    margin-left: 5px;
    padding: 0 4px;
    background-color: rgb(0, 0, 0);
    color:  rgb(170, 170, 170);
    border: 0.3px solid rgb(180, 180, 180);
    border-radius: 10px;
}

#idle_inhibitor.activated {
    margin-top: 8px;
    transition: all 0.6s ease-in-out;
    background-color : rgb(170, 170, 170);
    border: 0.3px solid rgb(0, 0, 0);
    color: white;
}

#network {
    margin-top: 8px;
    background-color: rgb(0, 0, 0);
    min-width: 160px;
    color: #c0caf5;
    border: 0.4px solid rgb(170, 170, 170);
    border-radius: 90px;
    padding: 0 8px;
    margin-right: 5px;
}

#cpu {
    margin-top: 8px;
    padding: 0 8px;
    color: #f7768e;
}

#memory {
    margin-top: 11px;
    padding: 0 8px;
    color: #9ece6a;
}

#backlight {
    margin-top: 8px;
    margin-left: 5px ;
    padding: 0 8px;
    color: #c0caf5;
    background-color: rgb(0, 0, 0);
    border: 0.3px solid rgb(170, 170, 170);
    border-radius: 80px 0 0 80px;
    border-right: none;
}

#pulseaudio {
    margin-top: 8px;
    padding: 0 8px;
    color: #ff9e64;
}

#battery {
    margin-top: 8px;
    color: #c0caf5;
    padding: 0 8px;
}

#battery.plugged {
    margin-top: 8px;
    transition: all 1s ease-in-out;
    padding: 0 8px;
}

#custom-gpu-usage {
    margin-top: 8px;
    padding: 0 8px;
    color: #9d7cd8;
}

#language {
    margin-top: 8px;
    padding: 0 8px;
    color: #7aa2f7;
}

#custom-separator {
    margin-top: 8px;
    color: #545c7e;
}
